#ifndef __OMW_SPIM_H__
#define __OMW_SPIM_H__

#include "hc_config.h"
#include "omw_gpio.h"

#define OMW_SPIM0_BASE 0x41003000
#define OMW_SPIM1_BASE 0x41004000

#define OMW_SPIM_3LINES 0
#define OMW_SPIM_4LINES 1

void omw_spim_send(uint32_t spim_base_addr, void * pdata, uint32_t len);
uint32_t omw_spim_rcv(uint32_t spim_base_addr, void * pbuf, uint32_t blen);
void omw_spim_init(uint32_t spim_base_addr, uint8_t line_mode, uint16_t baud);

#endif
